Using PSE under Win32

Graham Dumpleton Graham.Dumpleton at gmail.com
Mon Jun 25 02:19:10 CEST 2007


On Jun 24, 1:13 am, Eduardo Dobay <edudo... at gmail.com> wrote:
> Hello, I've been playing around withmod_pythonthese days (using
> Publisher and PSP), and it has been working smoothly under Windows XP
> (using Apache 2.2). But when I installed PSE and went to use it withmod_python, it didn't work. The error I get whenever I try to load a
> PSE page is:
>
> Traceback (most recent call last):
>
>   File "C:\Python25\lib\site-packages\mod_python\importer.py", line
> 1537, in HandlerDispatch
>     default=default_handler, arg=req, silent=hlist.silent)
>
>   File "C:\Python25\lib\site-packages\mod_python\importer.py", line
> 1229, in _process_target
>     result = _execute_target(config, req, object, arg)
>
>   File "C:\Python25\lib\site-packages\mod_python\importer.py", line
> 1128, in _execute_target
>     result = object(arg)
>
> TypeError: 'module' object is not callable
>
> I thought it could be some incompatibility issue between PSE andmod_python, but I tried both installing the PSE binary and building
> the sources, and it didn't make a difference. Has anyone out there had
> success using PSE under Windows?
>
> (Just for the record, I did install matching versions, at least for
> Apache (2.2.3), Python (2.5) andmod_python(3.3.1). PSE doesn't seem
> to have a strict version requirement.)

What do you have PythonHandler set to and what does it identify? The
error above suggests that whatever you identify as the handler is not
a callable object like a function. Are you perhaps identifying some
sort of PSE template object as target when you shouldn't be? Post your
handler code so we can see it.

Graham




More information about the Python-list mailing list